(function(root, factory) {
  if (typeof define === 'function' && define.amd) 
    define(['exports', 'kotlin', 'kotlinx-coroutines-core'], factory);
  else if (typeof exports === 'object') 
    factory(module.exports, require('kotlin'), require('kotlinx-coroutines-core'));
  else {
    if (typeof kotlin === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-test-dispatcher-jsLegacy'. Its dependency 'kotlin' was not found. Please, check whether 'kotlin' is loaded prior to 'ktor-ktor-test-dispatcher-jsLegacy'.");
    }
    if (typeof this['kotlinx-coroutines-core'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-test-dispatcher-jsLegacy'. Its dependency 'kotlinx-coroutines-core' was not found. Please, check whether 'kotlinx-coroutines-core' is loaded prior to 'ktor-ktor-test-dispatcher-jsLegacy'.");
    }
    root['ktor-ktor-test-dispatcher-jsLegacy'] = factory(typeof this['ktor-ktor-test-dispatcher-jsLegacy'] === 'undefined' ? {} : this['ktor-ktor-test-dispatcher-jsLegacy'], kotlin, this['kotlinx-coroutines-core']);
  }
}(this, function(_, Kotlin, $module$kotlinx_coroutines_core) {
  'use strict';
  var coroutines = Kotlin.kotlin.coroutines;
  var coroutines_0 = $module$kotlinx_coroutines_core.kotlinx.coroutines;
  var promise = $module$kotlinx_coroutines_core.kotlinx.coroutines.promise_pda6u4$;
  function testSuspend(context, block) {
    if (context === void 0) 
      context = coroutines.EmptyCoroutineContext;
    return promise(coroutines_0.GlobalScope, context, void 0, block);
  }
  var package$io = _.io || (_.io = {});
  var package$ktor = package$io.ktor || (package$io.ktor = {});
  var package$test = package$ktor.test || (package$ktor.test = {});
  var package$dispatcher = package$test.dispatcher || (package$test.dispatcher = {});
  package$dispatcher.testSuspend_uso8u0$ = testSuspend;
  Kotlin.defineModule('ktor-ktor-test-dispatcher-jsLegacy', _);
  return _;
}));
